const fs = require('fs-extra');
const FolderSTR = require('../folder');

const clientsDir = FolderSTR('clients');
const quasarDir = FolderSTR('quasar');

module.exports = {
  getDirectories(path) {
    return fs.readdirSync(path).filter((file) => {
      if (fs.statSync(path + '/' + file).isDirectory() && file.split('.').length <= 1) {
        return fs.statSync(path + '/' + file).isDirectory();
      }
    });
  },
  copyFiles(client) {
    try {
      fs.copySync(`${clientsDir}/${client}`, quasarDir);
      console.log('\x1b[31m', `Arquivos do cliente ${client} copiados com sucesso!`);
      return true;
    } catch (err) {
      console.error(err);
      return false;
    }
  },
};