module.exports = {
  updateVersion(version, number) {
    let versionNumber = number.split('.');

    switch (version) {
      case 'major':
        versionNumber[0] = parseInt(versionNumber[0]) + 1;
        break;
      case 'minor':
        versionNumber[1] = parseInt(versionNumber[1]) + 1;
        break;
      case 'patch':
        versionNumber[2] = parseInt(versionNumber[2]) + 1;
        break;
    }

    if (versionNumber[2] > 99) {
      versionNumber[1] += 1;
      versionNumber[2] = 0;
    }
    if (versionNumber[1] > 99) {
      versionNumber[0] += 1;
      versionNumber[1] = 0;
    }

    return versionNumber.join('.')
  }
};
